<?xml version="1.0" encoding="utf-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:p="http://www.springframework.org/schema/p"
    xsi:schemaLocation="http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans.xsd"> 
    <!-- FreeMarker Config -->
    <bean class="org.springframework.web.servlet.view.freemarker.FreeMarkerConfigurer"
        p:templateLoaderPaths="/WEB-INF/views/, classpath:/, classpath:/webapp/views/"
        p:defaultEncoding="utf-8"
        p:preferFileSystemAccess="false">
        <property name="freemarkerSettings">
            <props>
                <prop key="template_update_delay">${freemarker.cache.expire:36000}</prop>
                <prop key="output_encoding">utf-8</prop>
                <prop key="locale">en_US</prop>
                <prop key="date_format">yyyy-MM-dd</prop>  
                <prop key="time_format">HH:mm:ss</prop>
                <prop key="datetime_format">yyyy-MM-dd HH:mm:ss</prop>
                <!-- avoid 000.00 --> 
                <prop key="number_format">#</prop>
            </props>
        </property>
    </bean>
    <bean class="me.chyxion.tigon.freemarker.FreeMarkerViewResolverExt"
        p:suffix=".ftl"
        p:contentType="text/html; charset=utf-8"
        p:exposeRequestAttributes="true"
        p:order="16"
    />
</beans>
